# MFLTOtfSpec Struct Reference
[FLT API]

Type of specification of GSUB and GPOS OpenType tables. More...

## Data Fields

MSymbol | sym
unsigned int * | features [2]
unsigned int | script
unsigned int | langsys

## Detailed Description

Type of specification of GSUB and GPOS OpenType tables.

The type MFLTOtfSpec is the structure that contains information about the GSUB and GPOS features of a specific script and language system. The information is used to select which features to apply to a glyph string, or to check if a specific FLT is usable for a specific font.

## Field Documentation

MSymbol MFLTOtfSpec::sym

Unique symbol representing the spec. This is the same as the OTF-SPEC of the FLT.

unsigned int MFLTOtfSpec::script

Tags for script and language system.

unsigned int MFLTOtfSpec::langsys

unsigned int* MFLTOtfSpec::features[2]

Array of GSUB (1st element) and GPOS (2nd element) feature tag arrays. Each array is terminated by 0. It may be NULL if there is no feature to specify.

(1) The case of using this information for selecting which features to apply to a glyph string. If the array is NULL, apply no feature. If the first element is 0xFFFFFFFF, apply all available features except for what appear in the second and following elements (if any). Otherwise, apply all listed features.

(2) The case of using this information for checking if a a font can be drived by a specific FLT. If the array is NULL, the font should not have any features. Otherwize, the font should have all features before 0xFFFFFFFF element (if any) and should not have any features after that element.

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Defines